<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('registrosstock', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('numOperacion')->nullable();
            $table->string('codigo', 50)->nullable();
            $table->integer('cantidad')->nullable();
            $table->tinyInteger('objetivo')->nullable();
            $table->dateTime('fechaOperacion')->nullable();
            $table->text('observacion')->nullable();
            $table->string('cedulaResponsable', 20)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('registrosstock');
    }
};
